---
title: IPv6
url: https://docs.vultr.com/products/compute/instances/vx1-cloud-compute/networking/ipv6
description: Add and manage IPv6 addresses on a Vultr VX1™ Cloud Compute instance using the Vultr Console or API.
publish_date: 2025-11-21T13:34:36.771760Z
last_updated: 2026-05-26T18:52:50.876671Z
---

# How to Add IPv6 Addresses on a Vultr VX1™ Cloud Compute Instance

Vultr VX1™ Cloud Compute instances support IPv6, but the platform does not assign a public IPv6 address unless you enable it during instance deployment. After enabling IPv6, you can create additional IPv6 addresses, attach them to your instance, and configure reverse DNS records.

Follow this guide to add IPv6 addresses to a Vultr VX1™ Cloud Compute instance using the Vultr Console or API.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr VX1™ Cloud Compute instance to open the management page.
    1. Navigate to the **Settings** tab.
    1. Click **IPv6** on the left navigation menu.
    1. Click **Assign IPv6 Network** to allocate an IPv6 subnet if your instance does not have one.
    1. Return to the main navigation menu and click **Network**.
    1. Click **Reserved IPs**.
    1. Click **Add Reserved IP**.
    1. Select the **location**, choose **IPv6** as the type, enter a **label**, and click **Add** to create the reserved IPv6 address.
    1. Select the newly created reserved IPv6 address from the list.
    1. Under **Attach to Server**, select your VX1™ instance and click **Attach** to bind the IPv6 address to the server.
    1. To configure reverse DNS, return to your instance information page, open Settings, click IPv6, and edit the Reverse DNS entry for the attached IPv6 address.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `GET` request to the [Get Instance IPv6 Information endpoint](https://www.vultr.com/api/#tag/instances/operation/get-instance-ipv6) to verify that IPv6 is enabled.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/ipv6" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

        If IPv6 is disabled, send a `PATCH` request to the [Update Instance endpoint](https://www.vultr.com/api/#tag/instances/operation/update-instance) to enable it.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X PATCH \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "enable_ipv6": true
          }'
        ```

        After it is enabled, it assigns an IPv6 address to the instance

    1. Send a `POST` request to the [Create Reserved IP endpoint](https://www.vultr.com/api/#tag/reserved-ip/operation/create-reserved-ip) to create a new IPv6 address.

        ```console
        $ curl "https://api.vultr.com/v2/reserved-ips" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "region": "ewr",
            "ip_type": "v6",
            "label": "Example Reserved IPv6"
          }'
        ```

        If successful, you receive a 200 HTTP response with the reserved IP information.

    1. Send a `POST` request to the [Attach Reserved IP endpoint](https://www.vultr.com/api/#tag/reserved-ip/operation/attach-reserved-ip) to attach the new IPv6 address to your instance.

        ```console
        $ curl "https://api.vultr.com/v2/reserved-ips/{reserved-ip-id}/attach" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "instance_id": "{instance-id}"
          }'
        ```

    1. Send a `GET` request to the [Get Instance endpoint](https://www.vultr.com/api/#tag/instances/operation/get-instance) to verify that your instance now lists the new IPv6 address.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [Create Instance Reverse IPv6 endpoint](https://www.vultr.com/api/#tag/instances/operation/create-instance-reverse-ipv6) to create a reverse DNS record.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/ipv6/reverse" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
          -H "Content-Type: application/json" \
          --data '{
            "ip": "<ipv6-address>",
            "reverse": "<domain>"
          }'
        ```